%define _legacy_common_support 1

Name:		megaglest
Version:	3.13.0
Release:	%mkrel 16
Summary:	A free 3D real time strategy game in a fantasy setting
License:	GPLv3
Group:		Games/Strategy
URL:		https://megaglest.org/
Source0:	https://github.com/MegaGlest/megaglest-source/releases/download/%{version}/%{name}-source-%{version}.tar.xz
Patch0:		megaglest-source-3.13.0-mga-ssl-linking.patch

BuildRequires:	cmake
BuildRequires:	help2man
BuildRequires:	libircclient-devel
BuildRequires:	miniupnpc-devel
BuildRequires:	pkgconfig(fontconfig)
BuildRequires:	pkgconfig(fribidi)
BuildRequires:	pkgconfig(freetype2)
BuildRequires:	pkgconfig(ftgl)
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(glew)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(libvlc)
BuildRequires:	pkgconfig(lua) >= 5.2
BuildRequires:	pkgconfig(ogg)
BuildRequires:	pkgconfig(openal)
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(sdl2)
BuildRequires:	pkgconfig(SDL2_net)
BuildRequires:	pkgconfig(SDL2_mixer)
BuildRequires:	pkgconfig(vorbis)
BuildRequires:	pkgconfig(xerces-c)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	wxgtk3.0-devel

Requires:	%{name}-data >= %{version}

%description
MegaGlest is a 3D-real-time strategy game, where you control the armies of
one of seven different factions: Tech, Magic, Egyptians, Indians, Norsemen,
Persian or Romans.

A game of MegaGlest takes place on a map of varying size, such as large
plains and fields, with terrain features like rivers, mountains, seas, or
cliffs. Players must establish settlements to gain resources, defend
against other players, and train units to explore the map and attack
enemies. Different resources have to be gathered by every faction. This can
be energy, food, gold, housing, stone and wood.

Choose a faction and create its different units and buildings while
developing your factions' unique abilities over the course of the game.
But beware: strategy matters, so chose wisely when deciding which units to
use when and where if you want a chance to beat the enemy.

%prep
%autosetup -p1

%build
%cmake -DMEGAGLEST_BIN_INSTALL_PATH=games/ \
       -DMEGAGLEST_DATA_INSTALL_PATH=share/games/%{name}/
%cmake_build

%install
%cmake_install

%files
%doc docs/CHANGELOG.txt docs/README.txt docs/AUTHORS.source_code.txt docs/COPYRIGHT.source_code.txt
%{_gamesbindir}/%{name}*
%{_gamesdatadir}/%{name}/
%{_mandir}/man6/%{name}*.6*


%changelog
* Mon Apr 04 2022 umeabot <umeabot> 3.13.0-16.mga9
+ Revision: 1843555
- Mageia 9 Mass Rebuild

* Mon Apr 05 2021 wally <wally> 3.13.0-15.mga9
+ Revision: 1713504
- rebuild for lua 5.4

* Wed Dec 02 2020 luigiwalser <luigiwalser> 3.13.0-14.mga8
+ Revision: 1651357
- rebuild for glew

* Sat Oct 24 2020 wally <wally> 3.13.0-13.mga8
+ Revision: 1639043
- rebuild with shared libircclient

* Tue Oct 20 2020 akien <akien> 3.13.0-12.mga8
+ Revision: 1637314
- Pin wxgtk version to 3.0 (FTBFS with 3.1), reenable tools, add missing BRs
- Disable wxgtk components which don't build
+ wally <wally>
- rebuild for new wxgtk 3.1.4

* Thu Aug 06 2020 joequant <joequant> 3.13.0-10.mga8
+ Revision: 1611618
- fix legacy common

* Tue Feb 18 2020 umeabot <umeabot> 3.13.0-9.mga8
+ Revision: 1538035
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Tue Nov 12 2019 wally <wally> 3.13.0-8.mga8
+ Revision: 1459471
- rebuild for wxgtk 3.1.3

* Thu Jul 18 2019 wally <wally> 3.13.0-7.mga8
+ Revision: 1422570
- rebuild with gtk3 enabled wxgtk 3.1.2

* Fri Aug 24 2018 daviddavid <daviddavid> 3.13.0-6.mga7
+ Revision: 1253806
- rebuild for new miniupnpc 2.1

* Mon Dec 04 2017 daviddavid <daviddavid> 3.13.0-5.mga7
+ Revision: 1181162
- rebuild for new glew 2.1.0

* Sun Aug 06 2017 cjw <cjw> 3.13.0-4.mga7
+ Revision: 1137949
- rebuild for glew 2.0

* Sat Jun 03 2017 akien <akien> 3.13.0-3.mga6
+ Revision: 1106101
- Rebuild for wxgtk 3.0.3.1

* Tue May 16 2017 neoclust <neoclust> 3.13.0-2.mga6
+ Revision: 1102001
- Rebuild against new miniupnpc

* Sun Apr 02 2017 akien <akien> 3.13.0-1.mga6
+ Revision: 1095714
- Version 3.13.0

* Thu Jun 02 2016 daviddavid <daviddavid> 3.12.0-3.mga6
+ Revision: 1019817
- rebuild for wxgtk3.0 built with GTK2

* Sat Mar 05 2016 blino <blino> 3.12.0-2.mga6
+ Revision: 985865
- fix setting CUSTOM_DATA_INSTALL_PATH again when re-running cmake
- remove desktop file and icons, they are now in the data package
+ umeabot <umeabot>
- Rebuild for openssl
+ akien <akien>
- Version 3.12.0

* Tue Oct 13 2015 fwang <fwang> 3.11.1-7.mga6
+ Revision: 890211
- add gentoo patch to make it build
- rebuild for new miniupnpc

* Mon Aug 24 2015 sander85 <sander85> 3.11.1-6.mga6
+ Revision: 869128
- Rebuild for glew 1.13.0

* Sat Aug 15 2015 ycantin <ycantin> 3.11.1-5.mga6
+ Revision: 865028
- rebuild for new wxgtk built with wxRE_ADVANCED
- fix libx11 linking (patch)
- RELWITHDEBINFO build to enable debuginfo
- rebuild for new wxgtk built with wxRE_ADVANCED
- fix spec formatting

* Thu Jul 23 2015 akien <akien> 3.11.1-3.mga6
+ Revision: 856247
- Rebuild for wxgtk

* Wed Jun 24 2015 akien <akien> 3.11.1-2.mga6
+ Revision: 842017
- Rebuild for GLEW 1.12

* Thu Mar 12 2015 akien <akien> 3.11.1-1.mga5
+ Revision: 818440
- Version 3.11.1
- Add a patch to fix manpage generation for the editor and g3dviewer
- Use make install instructions now that they are available

* Mon Feb 09 2015 akien <akien> 3.11.0-2.mga5
+ Revision: 814233
- Build against wxWidgets 3.0 (fixes crashing editor)

* Fri Jan 23 2015 akien <akien> 3.11.0-1.mga5
+ Revision: 811969
- Version 3.11.0
- Use pkgconfig BRs

* Wed Dec 17 2014 akien <akien> 3.9.1-9.mga5
+ Revision: 803765
- Rebuild for miniupnpc

* Wed Oct 15 2014 umeabot <umeabot> 3.9.1-8.mga5
+ Revision: 743061
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.9.1-7.mga5
+ Revision: 682345
- Mageia 5 Mass Rebuild

* Mon Sep 01 2014 luigiwalser <luigiwalser> 3.9.1-6.mga5
+ Revision: 670272
- rebuild for glew

* Sun Jun 29 2014 tv <tv> 3.9.1-5.mga5
+ Revision: 641006
- rebuild with lua-5.2

* Wed May 14 2014 luigiwalser <luigiwalser> 3.9.1-4.mga5
+ Revision: 622814
- rebuild for miniupnpc

* Wed Mar 26 2014 akien <akien> 3.9.1-3.mga5
+ Revision: 608854
- Reobsolete glest

* Wed Mar 26 2014 akien <akien> 3.9.1-2.mga5
+ Revision: 608820
- reverted (was: Obsolete glest-data and not glest)

* Sun Feb 09 2014 akien <akien> 3.9.1-1.mga5
+ Revision: 587323
- Fix doc
- New upstream release 3.9.1: https://raw.github.com/MegaGlest/megaglest-source/master/docs/CHANGELOG.txt
- Sources now on github
- Remove obsolete patch
- New upstream release 3.9.0: http://sourceforge.net/p/megaglest/code/HEAD/tree/trunk/docs/CHANGELOG.txt
- Dropped now unnecessary miniupnpc18 patch
- Rediffed patches

* Sat Oct 19 2013 umeabot <umeabot> 3.7.1-7.mga4
+ Revision: 533961
- Mageia 4 Mass Rebuild

* Sun Sep 08 2013 fwang <fwang> 3.7.1-6.mga4
+ Revision: 475867
- fix build with miniupnpc 1.8
- rebuild for new miniupnpc

* Wed Jul 24 2013 sander85 <sander85> 3.7.1-5.mga4
+ Revision: 457712
- Rebuild for new glew

* Mon Jun 03 2013 fwang <fwang> 3.7.1-4.mga4
+ Revision: 436014
- rebuild for new libpng

* Sat Jan 12 2013 umeabot <umeabot> 3.7.1-3.mga3
+ Revision: 359934
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Dec 12 2012 pterjan <pterjan> 3.7.1-2.mga3
+ Revision: 329831
- Obsolete glest

* Wed Dec 05 2012 shadow95 <shadow95> 3.7.1-1.mga3
+ Revision: 327052
- removed megaglest patch gcc
- Update to new version 3.7.1
- Update patch for new version
- removed glest_configurator

* Thu Aug 30 2012 fwang <fwang> 3.6.0.3-3.mga3
+ Revision: 285670
- rebuild for new glew

* Thu Aug 02 2012 fwang <fwang> 3.6.0.3-2.mga3
+ Revision: 277843
- sync with debian patch
- more fixes
- fix build with gcc 4.7
- build with lua 5.1
- rebuild for new glew
+ dams <dams>
- clean spec file

* Mon Mar 05 2012 fwang <fwang> 3.6.0.3-1.mga2
+ Revision: 218373
- new version 3.6.0.3

* Sat Jan 21 2012 shadow95 <shadow95> 3.6.0.2-2.mga2
+ Revision: 198872
- fix bug in CMakeLists for data install

* Fri Jan 20 2012 fwang <fwang> 3.6.0.2-1.mga2
+ Revision: 198680
- drop invalid man pages generation
- br help2man
- use correct build method
- finall fix build
- fix linkage
- br ircclient
- reupload tarball
- new version 3.6.0.2

* Fri Dec 09 2011 shadow95 <shadow95> 3.6.0.1-1.mga2
+ Revision: 179708
- add BuildRequires: ftgl-devel
- add BuildRequires: glew-devel
- add BuildRequires: miniupnpc-devel
- add CmakeLists.patch for data install in /usr/share/games/megaglest
- update to new version 3.6.0.1

* Mon Sep 26 2011 dmorgan <dmorgan> 3.5.2.4-3.mga2
+ Revision: 147863
- Do not requires x11-font-adobe-utopia-75dpi which is in the nonfree media

* Mon Sep 19 2011 fwang <fwang> 3.5.2.4-2.mga2
+ Revision: 145358
- fix build with libpng 1.5
- rebuild for new libpng
+ shadow95 <shadow95>
- replace mesa-common-devel BR with GL-devel
- remove megaglest.png in SOURCES
- use original file for glest.ini et megaglest.png
- use original desktop file
- patch CMakeList for install data in /usr/share/games
- change section %%file (add each file)
- import version 3.5.2
- clean spec
- change license GPLv2+ to GPLv3
- imported package megaglest
+ stormi <stormi>
- improve description
- remove obsolete %%post and %%postun

